Subject: [weirds] FW: Gen-ART Last Call review of draft-ietf-weirds-rdap-query-15

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 21 Oct 2014 10:49:55 +0000

FYI, folks.

Scott

-----Original Message-----
From: Hollenbeck, Scott 
Sent: Monday, October 20, 2014 8:20 AM
To: 'Brian E Carpenter'; [email-masked]; General Area Review Team
Subject: RE: Gen-ART Last Call review of draft-ietf-weirds-rdap-query-15

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Sunday, October 19, 2014 8:10 PM
> To: [email-masked]; General Area
> Review Team
> Subject: Gen-ART Last Call review of draft-ietf-weirds-rdap-query-15
> 
> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> 
> Please resolve these comments along with any other Last Call comments
> you may receive.
> 
> Document: draft-ietf-weirds-rdap-query-15.txt
> Reviewer: Brian Carpenter
> Review Date: 2014-10-20
> IETF LC End Date: 2014-10-24
> IESG Telechat date: 2014-10-30
> 
> Summary:   Almost ready
> --------
> 
> Major Issues:
> -------------
> 
> Section 3.1.1 says:
> 
>   "The restricted
>    rules to write a text representation of an IPv6 address [RFC5952]
> are
>    not mandatory."
> 
> Why not make 5952 at least a SHOULD? Personally, I would make it a
> MUST. As 5952 itself states,
> the ambiguity of the RFC 4291 format creates many problems. 5952 in any
> case requires that
> "all implementations must accept and be able to handle any legitimate
> RFC 4291 format",
> so making conformance with 5952 a SHOULD or MUST won't break anything.
> 
> Minor issues:
> -------------
> 
> Section 3.1.1 says:
> 
>   "However, the zone id [RFC4007] is not appropriate in
>    this context and therefore prohibited."
> 
> Agreed, but you probably also need to exclude the extended URI syntax
> for this [RFC6874],
> since your base reference is the URI syntax [RFC3986] which is updated
> by 6874.
> This is just for clarification, since 6874 does not change the ABNF
> production
> for IPv6address.

Thanks for the feedback, Brian. I've asked Andy to review the comments above since they refer to objects that are primarily used by address registries.

> "10.2.  Informative References
> 
>    [REST]     Fielding, R. and R. Taylor, "Principled Design of the
>               Modern Web Architecture", ACM Transactions on Internet
>               Technology Vol. 2, No. 2, May 2002."
> 
> The text in section 1.1 implies that this is "a doctoral dissertation".
> It isn't.

Thanks for catching that. I can change the reference to this (used in RFC 7252):

[REST]     Fielding, R., "Architectural Styles and the Design of
           Network-based Software Architectures", Ph.D. Dissertation,
           University of California, Irvine, 2000,
           <http://www.ics.uci.edu/~fielding/pubs/dissertation/
           fielding_dissertation.pdf>.

Scott

---

From: Andy Newton <[email-masked]>
Date: Wed, 22 Oct 2014 00:00:56 +0000

>>Major Issues:

Thanks for pointing out that sentence from 5952. Given that, though I
don¹t see a MUST has helpful and in fact it might be confusing. My
recommendation is:

OLD

  Any valid IPv6 text address format [RFC4291] can be used, compressed or
not compressed.  The restricted
  rules to write a text representation of an IPv6 address [RFC5952
<http://tools.ietf.org/html/rfc5952>] are
  not mandatory.

NEW

  Any valid IPv6 text address format [RFC4291] can be used The rules to
write a text representation of an
  IPv6 address [RFC5952] are RECOMMENDED.

>> Minor issues:

Do you mean that we should change the reference of IPv6address from RFC
3986 to RFC 6874? If so, that¹s a good suggestion and I agree. Otherwise,
I¹m confused.

-andy

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 22 Oct 2014 13:39:25 +1300

Andy,

>   IPv6 address [RFC5952] are RECOMMENDED.

Yes, I'm fine with that.

> 3986 to RFC 6874? If so, that¹s a good suggestion and I agree. Otherwise,

6874 slightly extends the syntax in 3986, but you want to explicitly
exclude that extension. So I think this would cover it:

OLD:

   The IPv4 and IPv6 address formats supported in this query are
   described in section 3.2.2 of [RFC3986], as IPv4address and
   IPv6address ABNF definitions.  Any valid IPv6 text address format
   [RFC4291] can be used, compressed or not compressed.  The restricted
   rules to write a text representation of an IPv6 address [RFC5952] are
   not mandatory.  However, the zone id [RFC4007] is not appropriate in
   this context and therefore prohibited.

NEW:

   The IPv4 and IPv6 address formats supported in this query are
   described in section 3.2.2 of [RFC3986], as IPv4address and
   IPv6address ABNF definitions.  Any valid IPv6 text address format
   [RFC4291] can be used, compressed or not compressed.  The
   rules to write a text representation of an IPv6 address [RFC5952] are
   RECOMMENDED.  However, the zone id [RFC4007] is not appropriate in
   this context and therefore the corresponding syntax extension
   in [RFC6874] MUST NOT be used.

(I sort of feel obliged to apologise, since there has been confusion
in this area since RFC 2732, although the root problem was the choice
of the colon in both IPv6 address syntax and URI syntax.)

    Brian

---

From: Andy Newton <[email-masked]>
Date: Wed, 22 Oct 2014 13:51:28 +0000

On Oct 21, 2014, at 8:39 PM, Brian E Carpenter <[email-masked]<mailto:[email-masked]>> wrote:

OLD:

NEW:

Thanks. That’s great.

:) It was collective oversight. Thanks for your review. This is good stuff.

-andy